Subject: Re: AS_PATH
From: Jeffrey Haas <[email-masked]>
To: Srinivasa Chaganti <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 20 Dec 2000 14:40:39 -0500

On Sun, Dec 17, 2000 at 10:15:41AM -0800, Srinivasa Chaganti wrote:
> many implementations do check whether remote AS number is the first AS
> number from left in each update message received from remote AS. If first AS
> number is incorrect, then a malformed-aspath notification message is sent to
> the peer.

The route servers that run at the exchange points are often configured
to work transparently.  It may be advisable to make sending a NOTIFY
when the adjacent AS is not detected in the ASPATH a configurable
option.

> -Chaganti S.

-- 
Jeff Haas 
NextHop Technologies

From: Srinivasa Chaganti <[email-masked]>
To: "'Anoop Ghanwani '" <[email-masked]>, "[email-masked]'" <[email-masked]>
Subject: RE: AS_PATH 
Date: Sun, 17 Dec 2000 10:15:41 -0800
Sender: [email-masked]

many implementations do check whether remote AS number is the first AS
number from left in each update message received from remote AS. If first AS
number is incorrect, then a malformed-aspath notification message is sent to
the peer.

-Chaganti S.

-----Original Message-----
From: Anoop Ghanwani
To: [email-masked]'
Sent: 12/16/00 6:26 PM
Subject: AS_PATH 

When BGP receives an Update message from a peer 
which it knows to be in a remote AS, say X, should it check 
that X has been prepended to the AS_PATH?  

If the answer to the above is "yes" and if the correct AS number 
has not been prepended to the AS_PATH, should it send a NOTIFY 
message and close the session? 

Thanks, -Anoop 

From: Anoop Ghanwani <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Subject: AS_PATH 
Date: Sat, 16 Dec 2000 18:26:57 -0800
Sender: [email-masked]

This message is in MIME format. Since your mail reader does not understand
this format, some or all of this message may not be legible.

------_=_NextPart_001_01C067D0.D4059CD0
Content-Type: text/plain

When BGP receives an Update message from a peer 
which it knows to be in a remote AS, say X, should it check 
that X has been prepended to the AS_PATH?  

If the answer to the above is "yes" and if the correct AS number
has not been prepended to the AS_PATH, should it send a NOTIFY 
message and close the session?

Thanks, -Anoop 

------_=_NextPart_001_01C067D0.D4059CD0
Content-Type: text/html

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=US-ASCII">
<META NAME="Generator" CONTENT="MS Exchange Server version 5.5.2652.35">
<TITLE>AS_PATH </TITLE>
</HEAD>
<BODY>

<P><FONT SIZE=2>When BGP receives an Update message from a peer </FONT>
<BR><FONT SIZE=2>which it knows to be in a remote AS, say X, should it check </FONT>
<BR><FONT SIZE=2>that X has been prepended to the AS_PATH?&nbsp; </FONT>
</P>

<P><FONT SIZE=2>If the answer to the above is &quot;yes&quot; and if the correct AS number</FONT>
<BR><FONT SIZE=2>has not been prepended to the AS_PATH, should it send a NOTIFY </FONT>
<BR><FONT SIZE=2>message and close the session?</FONT>
</P>

<P><FONT SIZE=2>Thanks, -Anoop </FONT>
</P>

</BODY>
</HTML>
------_=_NextPart_001_01C067D0.D4059CD0--

Date: Tue, 12 Dec 2000 11:31:23 -0500
From: Jeffrey Haas <[email-masked]>
To: [email-masked]
Subject: Re: Private ASNs - which RFC
Sender: [email-masked]

On Tue, Dec 12, 2000 at 07:24:34PM +0900, Peter Chow wrote:
> RFC1930
> 
> ASN 64512 through 65535

In addition, IANA lists 65535 as "reserved". :-)

http://www.isi.edu/in-notes/iana/assignments/as-numbers

> On Tue, 12 Dec 2000, Hank Nussbacher wrote:
> > I know I have seen it but I can't remember which RFC documents private ASN 
> > numbers.  Just send me the RFC #.

-- 
Jeff Haas 
NextHop Technologies

Date: Tue, 12 Dec 2000 19:24:34 +0900 (JST)
From: Peter Chow <[email-masked]>
To: Hank Nussbacher <[email-masked]>
Cc: [email-masked]
Subject: Re: Private ASNs - which RFC
Sender: [email-masked]

RFC1930

ASN 64512 through 65535

On Tue, 12 Dec 2000, Hank Nussbacher wrote:

> I know I have seen it but I can't remember which RFC documents private ASN 
> numbers.  Just send me the RFC #.

--------------------------------------------------------------------
_/_/_/ Peter Chow		Chief Technical Advisor
_/_/_/ [email-masked]	interQ Inc. - System Division
_/_/_/ ICQ: 41931890		Shibuya Infoss Tower 10F
_/_/_/ (tel)+81-3-5456-2555	20-1 Sakuragaoka, Shibuya-ku
_/_/_/ (fax)+81-3-5456-2556	Tokyo, Japan
_/_/_/ http://www.interq.ad.jp/	150-0031
--------------------------------------------------------------------

Date: Tue, 12 Dec 2000 12:00:20 +0200
To: [email-masked]
From: Hank Nussbacher <[email-masked]>
Subject: Private ASNs - which RFC
Sender: [email-masked]

I know I have seen it but I can't remember which RFC documents private ASN 
numbers.  Just send me the RFC #.

Thanks,
Hank

From: "Peter Lewis" <[email-masked]>
To: <[email-masked]>
Subject: "Betond Sonet/SDH"  Call for paper 
Date: Mon, 11 Dec 2000 09:30:41 +0100
Sender: [email-masked]

This is a multi-part message in MIME format.

------=_NextPart_000_0173_01C06355.077D5C40
Content-Type: text/plain;
	charset="Windows-1252"
Content-Transfer-Encoding: quoted-printable

Gigabit Ethernet
Digital Wrapper Issues
Implementation of newly defined functionalities: STM-64, STM-256 =
(positioning beside N x 2.5 G or P x 10 G)=20
Tandem connection monitoring FEC WDM DWDM issues:=20
- Transitional step between SDH and OTN=20
- Terabit networks
- WDM for metro networks=20

The call for paper for the "Betond Sonet/SDH" conference has been =
extended to January 20.

Please take a look on:
http://www.upperside.fr/babeyondsdh.htm

------=_NextPart_000_0173_01C06355.077D5C40
Content-Type: text/html;
	charset="Windows-1252"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD>
<META content=3D"text/html; charset=3Dwindows-1252" =
http-equiv=3DContent-Type>
<META content=3D"MSHTML 5.00.2314.1000" name=3DGENERATOR>
<STYLE></STYLE>
</HEAD>
<BODY bgColor=3D#ffffff>
<DIV><FONT face=3DArial size=3D2>
<DIV><FONT face=3DArial size=3D2>
<DIV>Gigabit Ethernet</DIV>
<DIV>Digital Wrapper Issues</DIV>
<DIV>Implementation of newly defined functionalities: STM-64, STM-256=20
(positioning beside N x 2.5 G or P x 10 G) <BR>Tandem connection =
monitoring FEC=20
WDM DWDM issues: <BR>- Transitional step between SDH and OTN <BR>- =
Terabit=20
networks<BR>- WDM for metro networks </DIV>
<DIV>&nbsp;</DIV>
<DIV>The call for paper for the "Betond Sonet/SDH" conference has been =
extended=20
to January 20.</DIV>
<DIV>&nbsp;</DIV>
<DIV>Please take a look on:</DIV>
<DIV><A=20
href=3D"http://www.upperside.fr/babeyondsdh.htm">http://www.upperside.fr/=
babeyondsdh.htm</A></DIV></FONT></DIV></FONT></DIV></BODY></HTML>

------=_NextPart_000_0173_01C06355.077D5C40--

To: Geoffrey CRISTALLO <[email-masked]>
Cc: [email-masked]
Reply-To: [email-masked]
Subject: Re: IDRP for IPv6 
Date: Fri, 08 Dec 2000 22:58:42 -0500
From: Curtis Villamizar <[email-masked]>
Sender: [email-masked]

In message <[email-masked]>, Geoffrey CRISTALLO writes:
> hi
> 
> here is a reference to draft "IDRP for IPv6" (draft-ietf-idr-idrp-v6-01)
> in RFC 1863.
> 
> does somebody know what is the status of the work on IDRP for IPv6 ? the
> draft is expired (novembre 1994), but are there newer versions of the
> draft ? has is been merged with other contributions ????
> 
> Any comment welcome

It would appear to me that IDRP for anything is pretty well dead.

Curtis

From: Barry Hass <[email-masked]>
To: [email-masked]
Subject: Agenda for San Diego
Date: Thu, 7 Dec 2000 09:43:31 -0500 
Sender: [email-masked]

Has the IDR WG published an agenda for San Diego yet?

Thanks,
Barry

Date: Fri, 01 Dec 2000 15:21:27 +0100
From: Geoffrey CRISTALLO <[email-masked]>
To: [email-masked]
Subject: IDRP for IPv6
Sender: [email-masked]

hi

here is a reference to draft "IDRP for IPv6" (draft-ietf-idr-idrp-v6-01)
in RFC 1863.

does somebody know what is the status of the work on IDRP for IPv6 ? the
draft is expired (novembre 1994), but are there newer versions of the
draft ? has is been merged with other contributions ????

Any comment welcome

-- 
Geoffrey CRISTALLO         
Alcatel Telecom
Francis Wellesplein, 1, 2018 Antwerp, Belgium
Phone: +32 3 240 82 97
mailto:[email-masked]